/*
 * Class TYPE [NATURAL_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1895 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1895 [] = {0xFF01,1551,1894,851,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1895 [] = {0xFF01,1894,851,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1895 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1895 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1895 [] = {0xFF01,1894,851,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1895 [] = {0xFF01,1894,851,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1895 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1895 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1895 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1895 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1895 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1895 [] = {1894,851,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1895 [] = {0xFF01,1894,851,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1895 [] = {0xFF01,921,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1895 [] = {0xFF01,1551,0,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1895 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1895 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1895 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1895 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1895 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1895 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1895 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1895 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1895 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1895 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1895 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1895 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1895 [] = {0xFF01,914,0xFFFF};


static const struct desc_info desc_1895[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1895), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1895), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19922, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1895), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1895), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1895), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1895), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1895), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1895), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1895), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1895), 19930, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1895), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1895), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1895), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1895), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19917, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19391, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19923, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19924, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6335, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6336, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1895), 19914, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1895), 19915, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19916, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19918, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19919, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19920, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19921, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1895), 19925, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1895), 19926, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1895), 19927, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1895), 19928, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1895), 19929, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1895), 19932, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19933, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19934, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1895), 19935, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1895), 19936, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1895), 19937, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1895), 19938, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0733 /*921*/), 19939, 0},
	{EIF_GENERIC(egt_26_1895), 19940, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1895), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1895), 19931, 0xFFFFFFFF},
};
void Init1895(void)
{
	IDSC(desc_1895, 0, 1894);
	IDSC(desc_1895 + 1, 1, 1894);
	IDSC(desc_1895 + 32, 700, 1894);
	IDSC(desc_1895 + 34, 1459, 1894);
	IDSC(desc_1895 + 38, 11, 1894);
	IDSC(desc_1895 + 60, 224, 1894);
}


#ifdef __cplusplus
}
#endif
